[PATCH 65/77] policycoreutils: sandbox: trap sigterm to make sure

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


This patch looks good to me. acked.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5WtTkACgkQrlYvE4MpobOnzACfU3UZN1x4c5edKq2v/CheBgPc
Vd4An0xpWJG6zxPtLOpKadGB+/AV8mhz
=gG+X
-----END PGP SIGNATURE-----
>From 4c60425a94b45da8c1ccf83333605796a7d1944a Mon Sep 17 00:00:00 2001
From: Dan Walsh <dwalsh@xxxxxxxxxx>
Date: Wed, 6 Jul 2011 20:52:38 -0400
Subject: [PATCH 65/77] policycoreutils: sandbox: trap sigterm to make sure
 sandbox exits with the proper exit code

---
 policycoreutils/sandbox/sandboxX.sh |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/policycoreutils/sandbox/sandboxX.sh b/policycoreutils/sandbox/sandboxX.sh
index ec7f855..88ebfee 100644
--- a/policycoreutils/sandbox/sandboxX.sh
+++ b/policycoreutils/sandbox/sandboxX.sh
@@ -1,4 +1,5 @@
-#!/bin/bash 
+#!/bin/bash
+trap "" TERM
 context=`id -Z | secon -t -l -P`
 export TITLE="Sandbox $context -- `grep ^#TITLE: ~/.sandboxrc | /usr/bin/cut -b8-80`"
 [ -z $1 ] && export SCREENSIZE="1000x700" || export SCREENSIZE="$1"
@@ -14,7 +15,7 @@ __EOF
     chmod +x ~/seremote
     /usr/share/sandbox/start $HOME/.sandboxrc
     export EXITCODE=$?
-    kill -HUP 0
+    kill -TERM 0
     break
 done
 exit 0
-- 
1.7.6


[Index of Archives]     [Selinux Refpolicy]     [Linux SGX]     [Fedora Users]     [Fedora Desktop]     [Yosemite Photos]     [Yosemite Camping]     [Yosemite Campsites]     [KDE Users]     [Gnome Users]

  Powered by Linux